/*
*	vec.cpp
*
*	Author: M. Reza Mozaffari
*	Physics Group, University of Qom
*	Created on: Dec. 2020
*/

#include "vec.h"

vector<int> add (vector<int> v, vector<int> u)
{
	assert(v.size() == u.size());
	vector<int> w (v.size(), 0);
	for(unsigned int i=0; i<v.size(); i++)
		w[i] = u[i] + v[i];
	
	return w;
}

vector<int> sub (vector<int> v, vector<int> u)
{
	assert(v.size() == u.size());
	vector<int> w (v.size(), 0);
	for(unsigned int i=0; i<v.size(); i++)
		w[i] = v[i] - u[i];
	
	return w;
}

vector<int> scale (vector<int> v, int alpha)
{
	vector<int> w (v.size(), 0);
	for(unsigned int i=0; i<v.size(); i++)
		w[i] = alpha*v[i];
	
	return w;
}

void print (vector<int> v)
{
	printf("[");
	for(unsigned int i=0; i<(v.size()-1); i++)
		printf("%d, ", v[i]);
	printf("%d]\n\n", v[v.size()-1]);
}
